<% search = SearchPresenter.new(params) %>

<div class="content-wrapper">
  <div class="inner-container container">
    <div class="row">
      <div class="section-header col-md-12">
        <h2>Our cars offers</h2>
        <span><%= link_to 'Add your car', new_car_path %></span>
      </div>
    </div>

    <div class="projects-holder-2 row">
      <div class="filter-categories col-sm-3">
        <ul class="project-filter">
          <% search.filters.select{|x| x.active }.each do |filter| %>
            <li class="filter" data-filter="<%= filter.id %>">
              <%= link_to filter.text, filter.url %>
            </li>
          <% end %>

          <% search.filters.select{|x| !x.active }.each do |filter| %>
            <li class="filter" data-filter="<%= filter.id %>">
              <h2><%= filter.text %></h2>
              <% if filter.facets %>
                <% filter.facets.each do |facet| %>
                  <span><%= link_to facet.text, facet.url %></span>
                <% end %>
              <% elsif filter.id != :clear %>
                <%= simple_form_for :search, url: filter.url, method: :get do |f| %>
                  <%= f.text_field filter.id %>
                  <% search.active_params_except(filter.id).each do |key, value| %>
                    <%= f.hidden_field key, :value => value %>
                  <% end %>
                <% end %>
              <% end %>
            </li>
          <% end %>
        </ul>
      </div>

      <div class="projects-holder col-md-9 col-sm-9">
        <div class="row">
          <nav class="pagination clearfix">
            <%= render partial: "shared/nav", locals: { pagy: @pagy } %>
            <%= render partial: "shared/sorting", locals: { sortings: search.sortings } %>
          </nav>
        </div>

        <div class="row">
          <% @cars.each do |car| %>
            <%= render partial: "tile", locals: {car: car.respond_to?(:searchable) ? car.searchable : car} %>
          <% end %>
        </div>

        <div class="load-more">
          <a href="javascript:void(0)" class="load-more">Load More</a>
        </div>
      </div>
    </div>
  </div>
</div>
